Developer Documentation

Static Public Member Functions | Static Private Member Functions | List of all members
AnimationHelper Class Reference

## Static Public Member Functions
template<typename Scalar >
static float | approximateCubicBezierParameter (Scalar _atX, Scalar _P0X, Scalar _P1X, Scalar _C0X, Scalar _C1X)
| Approximates the parameter value for a Bezier curve to get a certain x value Does an iterative DeCasteljau search for the correct value. More...
template<typename Scalar >
static std::vector< Scalar > | evaluateBezier (float at, std::vector< Scalar > _P0, std::vector< Scalar > _P1, std::vector< Scalar > _C0, std::vector< Scalar > _C1)
| Evaluates the cubic Bezier curve parameterized by P0, P1, C0 and C1 at the parameter value "at".

## Static Private Member Functions
template<typename Scalar >
static Scalar | clampTo01Interval (Scalar _value)
template<typename Scalar >
static Scalar | abs (Scalar _value)

## Detailed Description

Definition at line 46 of file AnimationHelper.hh.

## Member Function Documentation

## ◆ approximateCubicBezierParameter()

template<typename Scalar >

float AnimationHelper::approximateCubicBezierParameter | ( | Scalar | _atX,
|  | Scalar | _P0X,
|  | Scalar | _P1X,
|  | Scalar | _C0X,
|  | Scalar | _C1X
| ) |  |
| static

Approximates the parameter value for a Bezier curve to get a certain x value Does an iterative DeCasteljau search for the correct value.

^ | C0-------------------------—C1 | / \ | / \ | / \ | P0 P1 | +---------------—atX---------------------------------—>

Parameters

  _atX | The X value that the parameter value should be found for
  _P0X | The X value of the first key point
  _P1X | The X value of the second key point
  _C0X | The X value of the first control point
  _C1X | The X value of the second control point

Returns
  The parameter value that has to be used to get the specified X value

Definition at line 73 of file AnimationHelper.cc.

The documentation for this class was generated from the following files:

- Type-Skeleton/ObjectTypes/Skeleton/Animation/AnimationHelper.hh
- Type-Skeleton/ObjectTypes/Skeleton/Animation/AnimationHelper.cc